<?php
declare(strict_types=1);

use FiloBlu\Esb\Api\Data\MessageInterfaceFactory;
use FiloBlu\Refilo\Remote\DeletedUrlItemFinder;
use FiloBlu\Refilo\Remote\DeletedItemFinderInterface;
use Magento\Framework\App\Bootstrap;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();
/** @var DeletedUrlItemFinder | DeletedItemFinderInterface $finder */
$finder = $objectManager->get(DeletedUrlItemFinder::class);

$output = $finder->getDeletedIds();
//file_put_contents('output.json', json_encode($output, JSON_PRETTY_PRINT));
echo 'Done.' . PHP_EOL;

